<template>
	<div data-remark="未登录" class="g-rh-login-false-list">
		<div style="height: 130px"></div>
		<rh-empty :text="emptyText" :image="image" />
		<div style="margin-top: 32px"></div>
		<div class="g_flex_row_center" style="width: 100vw">
			<rh-button :btnText="btnText" type="primary" :size="size" height="40" class="g_mt_32" @clickBtn="goLogin" />
		</div>
	</div>
</template>

<script>
export default {
	props: {
		image: {
			default: () => {
				return "https://bocai-cms.oss-cn-beijing.aliyuncs.com/web-resource/dailibaoming/noData.svg";
			},
		},
		emptyText: {
			default: () => {
				return "您还有没有登录，请登录后查看";
			},
		},
		btnText: {
			default: () => {
				return "去登录";
			},
		},
		size: {
			default: () => {
				return "small";
			},
		},
		loginUrl: {
			default: () => {
				return "/root/person/loginIndex";
			},
		},
	},
	methods: {
		goLogin() {
			uni.navigateTo({
				url: this.loginUrl,
			});
		},
	},
};
</script>

<style></style>
